// import Request from '@/utils/request'
import Request from '@/utils/require'
import { business } from '@/api'


/* -------粮食财务管理-预算绩效管理页接口开始-------*/
//保存 预算绩效管理--迁移后
export function budgetPerformanceManagementSave(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/modifyPerformance`,
        method: 'post',
        data: VO
    })
}

//删除--迁移后
export function budgetPerformanceManagementDelete(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/deletePerformanceById?id=${VO}`,
        method: 'delete',
        data: VO
    })
}

//删除--迁移后
export function budgetPerformanceManagementDelete1(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/deletePerformanceById`,
        method: 'delete',
        data: VO
    })
}

//提交--迁移后
export function budgetPerformanceManagementSubmission(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/applicationPerformance`,
        method: 'post',
        data: VO
    })
}

//查看详情--迁移后
// 根据id查询预算绩效管理
export function budgetPerformanceManagementModify(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/?id=${VO.id}`,
        // url: `${business}/financial/bizPerformanceManagement/performanceInfo`,
        method: 'get',
        data: VO
    })
}
// 根据Project_id查询预算绩效管理--迁移后
export function budgetPerformanceManagementInfoPro(VO) {
    return Request({
        // url: `${business}/financial/bizPerformanceManagement/?id=${VO.id}`,
        url: `${business}/financial/bizPerformanceManagement/infoProjectId`,
        method: 'post',
        data: VO
    })
}

//查询--迁移后
export function budgetPerformanceManagementByPage(VO, data, flag) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/findPerformanceByPage/${data.page}/${data.size}?flag=${flag}`,
        method: 'post',
        data: VO
    })
}
//审核-查询--迁移后
export function budgetPerformanceManagementByPageOfAudit(VO, data) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/findByPageOfAuditPerformance/${data.page}/${data.size}`,
        method: 'post',
        data: VO
    })
}
//审核-提交--迁移后
export function budgetPerformanceManagementAudit(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/auditPerformance`,
        method: 'post',
        data: VO
    })
}

export function budgetPerformanceManagementAudit1(VO) {
    return Request({
        url: `${business}/financial/bizPerformanceManagement/auditPerformance/${VO.id}/${VO.status}/${VO.message}/${VO.findingsAudit}/${VO.expenditureProgress}`,
        method: 'post',
        data: VO
    })
}
/* -------粮食财务管理-预算填报页接口结束-------*/